halapi hierarchichalalignmentformatapi

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Pages
Public Member Functions | Friends | List of all members
hal::TopSegment Class Referenceabstract

`#include <halTopSegment.h>`

Inheritance diagram for hal::TopSegment:

## Public Member Functions
virtual hal_index_t | getParentIndex () const =0
virtual bool | hasParent () const =0
virtual void | setParentIndex (hal_index_t parIdx)=0
virtual bool | getParentReversed () const =0
virtual void | setParentReversed (bool isReversed)=0
virtual hal_index_t | getBottomParseIndex () const =0
virtual void | setBottomParseIndex (hal_index_t botParseIdx)=0
virtual hal_offset_t | getBottomParseOffset () const =0
virtual bool | hasParseDown () const =0
virtual hal_index_t | getNextParalogyIndex () const =0
virtual bool | hasNextParalogy () const =0
virtual void | setNextParalogyIndex (hal_index_t parIdx)=0
virtual hal_index_t | getLeftParentIndex () const =0
virtual hal_index_t | getRightParentIndex () const =0
virtual bool | isCanonicalParalog () const =0
Public Member Functions inherited from hal::Segment
virtual void | setArrayIndex (Genome *genome, hal_index_t arrayIndex)=0
virtual void | setArrayIndex (const Genome *genome, hal_index_t arrayIndex) const =0
virtual const Genome * | getGenome () const =0
virtual Genome * | getGenome ()=0
virtual const Sequence * | getSequence () const =0
virtual Sequence * | getSequence ()=0
virtual hal_index_t | getStartPosition () const =0
virtual hal_index_t | getEndPosition () const =0
virtual hal_size_t | getLength () const =0
virtual void | getString (std::string &outString) const =0
virtual void | setCoordinates (hal_index_t startPos, hal_size_t length)=0
virtual hal_index_t | getArrayIndex () const =0
virtual bool | leftOf (hal_index_t genomePos) const =0
virtual bool | rightOf (hal_index_t genomePos) const =0
virtual bool | overlaps (hal_index_t genomePos) const =0
virtual bool | isFirst () const =0
virtual bool | isLast () const =0
virtual bool | isMissingData (double nThreshold) const =0
virtual bool | isTop () const =0
virtual hal_size_t | getMappedSegments (std::set< MappedSegmentConstPtr > &outSegments, const Genome *tgtGenome, const std::set< const Genome * > *genomesOnPath=NULL, bool doDupes=true, hal_size_t minLength=0) const =0
virtual void | print (std::ostream &os) const =0

## Friends
class | counted_ptr< TopSegment >
class | counted_ptr< const TopSegment >

## Detailed Description

Interface for a top segment of DNA

## Member Function Documentation

virtual hal_index_t hal::TopSegment::getBottomParseIndex | ( |  | ) | const
| pure virtual

Get the index of the bottom segment in genome that contains the start coordinate of this top segment

virtual hal_offset_t hal::TopSegment::getBottomParseOffset | ( |  | ) | const
| pure virtual

Get the offset in the bottom parse segment that aligns with the start coordinate of this segment

virtual hal_index_t hal::TopSegment::getLeftParentIndex | ( |  | ) | const
| pure virtual

Get the index of the parent of the left neighbour of this segment in the genome (use isLeft first to check the left current segment is the first segment in a sequence)

virtual hal_index_t hal::TopSegment::getNextParalogyIndex | ( |  | ) | const
| pure virtual

Get index of the next paralogous segment in the genome

virtual hal_index_t hal::TopSegment::getParentIndex | ( |  | ) | const
| pure virtual

Get index of the homologous segmenet in the ancestral genome

virtual bool hal::TopSegment::getParentReversed | ( |  | ) | const
| pure virtual

Check whether segment is mapped to parent's reverse complement

virtual hal_index_t hal::TopSegment::getRightParentIndex | ( |  | ) | const
| pure virtual

Get the index of the parent of the right neighbour of this segment in the genome (use isRight right to check the left current segment is the last segment in a sequence)

virtual bool hal::TopSegment::isCanonicalParalog | ( |  | ) | const
| pure virtual

For every set of paralogous top segments in a given genome, we identify a unique segment as the canonical reference. This is the segment that will be traversed when disabling duplication edges when mapping via the column iterator or mappedSegment interface. It is also the segment that is connected from its parent's down edge.

virtual void hal::TopSegment::setBottomParseIndex | ( | hal_index_t | botParseIdx | ) |
| pure virtual

Set the index of the bototm segment in the genome that contains the start coordinate of this top segment

Parameters

  botParseIndx | index to set

virtual void hal::TopSegment::setNextParalogyIndex | ( | hal_index_t | parIdx | ) |
| pure virtual

Set index of the next paralogous segment in the genome

Parameters

  parIdx | of next segment in same genome that is homologous to this segment

virtual void hal::TopSegment::setParentIndex | ( | hal_index_t | parIdx | ) |
| pure virtual

Set the index of the homologous segment in the ancestra genome

Parameters

  parIdx | parent index to set

virtual void hal::TopSegment::setParentReversed | ( | bool | isReversed | ) |
| pure virtual

Set whether segment is mapped to parent's reverse complement

Parameters

  isReversed | Flag

The documentation for this class was generated from the following file:

- inc/halTopSegment.h